# Interface LayerExtensionCollection<TProps>

A collection of layer extensions.

interface LayerExtensionCollection<TProps> {
initializedItems: ReadOnlyCollection<LayerExtension<LayerExtensionProperties>>;
findById(id: string): LayerExtension<TProps>;
findByLayerId(id: string): LayerExtension<TProps>;
forLayer(layer: Layer): LayerExtension<TProps>;
}

#### Type Parameters

- TProps extends LayerExtensionProperties = LayerExtensionProperties

#### Hierarchy (view full)

- InitializableCollection<LayerExtensionProperties, LayerExtension>
  - LayerExtensionCollection

#### Implemented by

- LayerExtensionCollectionBase

#####
Index

### Properties

initializedItems

### Methods

findById
findByLayerId
forLayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<LayerExtension<LayerExtensionProperties>>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): LayerExtension<TProps>

- Get the layer extension for a given id.

  #### Parameters

  - id: string

    The id of the layer extension.

  #### Returns LayerExtension<TProps>

  The layer extension.

### findByLayerId

- findByLayerId(id): LayerExtension<TProps>

- Get the corresponding layer extension for a given layer id.

  #### Parameters

  - id: string

    The id of the layer.

  #### Returns LayerExtension<TProps>

  The corresponding layer extension.

### forLayer

- forLayer(layer): LayerExtension<TProps>

- Gets the corresponding layer extension for a given layer.

  #### Parameters

  - layer: Layer

    A layer on the map.

  #### Returns LayerExtension<TProps>

  The corresponding layer extension.